package com.inkasso.factoring.electronicSignature.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.inkasso.factoring.electronicSignature.entity.ElectronicSignaturePersonal;

import java.util.List;

/**
 * <p>
 * --电子签个人信息表 服务类
 * </p>
 *
 * @author liutao
 * @since 2023-05-13
 */
public interface IElectronicSignaturePersonalService extends IService<ElectronicSignaturePersonal> {


    /**
     * 获取认证信息
     * @param customerId
     * @return
     */
    String getAuthDeatil(String customerId);


    /**
     * 修改信息
     * @param electronicSignaturePersonal
     */
    void updateInfo(ElectronicSignaturePersonal electronicSignaturePersonal);

    /**
     * 注册电子签 获取电子签信息
     * @param electronicSignaturePersonal
     * @return
     */
    ElectronicSignaturePersonal getAuthInfo(ElectronicSignaturePersonal electronicSignaturePersonal);



    /**
     * 重新生成认证链接
     * @param id
     */
    void flushUrl(Long id);

    /**
     * 删除数据
     * @param id
     */
    void delete(Long id);

    /**
     * c端获取个人列表
     * @param id
     * @return
     */
    List<ElectronicSignaturePersonal> findByIdForC(Long id);

}
